ubuntu 18 ./gradlew command fail

I am new to Spring and Gradle

I was running "./gradlew --version" (after gralde wrapper comamnd), and it says "Could not determine java version from '11.0.4'."

I installed Gradle by "sudo apt-get install gradle", version is below

------------------------------------------------------------
Gradle 4.4.1
------------------------------------------------------------

Build time:   2012-12-21 00:00:00 UTC
Revision:     none

Groovy:       2.4.16
Ant:          Apache Ant(TM) version 1.10.5 compiled on March 28 2019
JVM:          11.0.4 (Ubuntu 11.0.4+11-post-Ubuntu-1ubuntu218.04.3)
OS:           Linux 4.15.0-55-generic amd64

inside the project folder, "java -version" outputs

jhxin@jhxin:~/spring/Building_a_RESTful_Web_Service$ java -version
openjdk version "11.0.4" 2019-07-16
OpenJDK Runtime Environment (build 11.0.4+11-post-Ubuntu-1ubuntu218.04.3)
OpenJDK 64-Bit Server VM (build 11.0.4+11-post-Ubuntu-1ubuntu218.04.3, mixed mode, sharing)